Reset PIN
POST
/v1/auth/pin/reset
const url = 'https://api.parasta.io/v1/auth/pin/reset';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"newPin":"example","authMethod":"passkey","authResponse":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/v1/auth/pin/reset \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "newPin": "example", "authMethod": "passkey", "authResponse": {} }'Call after identity verification via 2FA (e.g., Passkey).
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
newPin
required
string
authMethod
required
string
authResponse
required
object
key
additional properties
any
Responses
Section titled “ Responses ”OK
Media type application/json
object
reset
boolean
Example generated
{ "reset": true}